Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._3._0.rim
Interface NotificationType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, IdentifiableType, org.eclipse.emf.common.notify.Notifier, RegistryObjectType

All Known Implementing Classes:
  NotificationTypeImpl

    public interface NotificationType

extends RegistryObjectType

A representation of the model object 'Notification Type'. Notification of registry events.

The following features are supported:

- `Registry Object List`
- `Subscription`

See Also:
  `RimPackage.getNotificationType()`

Method Summary
`RegistryObjectListType` | `getRegistryObjectList()` Returns the value of the 'Registry Object List' containment reference.
`java.lang.String` | `getSubscription()` Returns the value of the 'Subscription' attribute.
`void` | `setRegistryObjectList(RegistryObjectListType value)` Sets the value of the '`Registry Object List`' containment reference.
`void` | `setSubscription(java.lang.String value)` Sets the value of the '`Subscription`' attribute.

Methods inherited from interface org.eclipse.ohf.ihe.common.ebxml._3._0.rim.RegistryObjectType
`getClassification, getDescription, getExternalIdentifier, getLid, getName, getObjectType, getStatus, getVersionInfo, setDescription, setLid, setName, setObjectType, setStatus, setVersionInfo`

Methods inherited from interface org.eclipse.ohf.ihe.common.ebxml._3._0.rim.IdentifiableType
`getHome, getId, getSlot, setHome, setId`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getRegistryObjectList

    RegistryObjectListType getRegistryObjectList()

  Returns the value of the 'Registry Object List' containment reference.

  If the meaning of the 'Registry Object List' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Registry Object List' containment reference.
  See Also:
    `setRegistryObjectList(RegistryObjectListType)`, `RimPackage.getNotificationType_RegistryObjectList()`

### setRegistryObjectList

    void setRegistryObjectList(RegistryObjectListType value)

  Sets the value of the '`Registry Object List`' containment reference.

  Parameters:
    `value` - the new value of the 'Registry Object List' containment reference.
  See Also:
    `getRegistryObjectList()`

### getSubscription

    java.lang.String getSubscription()

  Returns the value of the 'Subscription' attribute.

  If the meaning of the 'Subscription' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Subscription' attribute.
  See Also:
    `setSubscription(String)`, `RimPackage.getNotificationType_Subscription()`

### setSubscription

    void setSubscription(java.lang.String value)

  Sets the value of the '`Subscription`' attribute.

  Parameters:
    `value` - the new value of the 'Subscription' attribute.
  See Also:
    `getSubscription()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD